Modify

Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#8118 closed defect (fixed)

Mythweb looses filename for preview images

Reported by: sven.witterstein@… Owned by: kormoc
Priority: minor Milestone: 0.23
Component: MythTV - General Version: head
Severity: medium Keywords:
Cc: Ticket locked: yes

Description

Today's mythbuntu auto build - but recordings since 2010-02-25 are affected, trying to view all recordings in mythweb:

2010-03-01 03:04:45.234 ProgramInfo?: Updated pathname : -> '62992_20100301022000.mpg' 2010-03-01 03:04:45.244 Preview Error: Run() file not local: '/srv/myth/62992_20100301022000.mpg.64'

--> so Mythweb loses the Pixel ratio eg. "100x75x" and the ".png" part of the filename -> bad regex?

And - why can't it seem to remember the pathnames?

Attachments (0)

Change History (15)

comment:1 Changed 8 years ago by superm1@…

Please provide more information on the version you are referring to. Auto builds run on 0.22 and 0.23.

comment:2 Changed 8 years ago by sven.witterstein@…

The current build is 0.23.0~trunk23645 (but an update is suggested - which I will run now to see what the situation is like afterwards)

comment:3 Changed 8 years ago by sven.witterstein@…

This is what I still get after updating to svn-revision 23665 (20 revs ++)

2010-03-05 20:14:18.968 MainServer::ANN Monitor
2010-03-05 20:14:18.974 adding: fire as a client (events: 2)
2010-03-05 20:14:19.025 MainServer::ANN Monitor
2010-03-05 20:14:19.033 adding: fire as a client (events: 2)
2010-03-05 20:14:19.238 MainServer::ANN Monitor
2010-03-05 20:14:19.246 adding: fire as a client (events: 2)
2010-03-05 20:14:20.442 ProgramInfo: Updated pathname '':'' -> '62971_20100304225700.mpg'
2010-03-05 20:14:20.482 Preview Error: Run() file not local: '/srv/myth/62971_20100304225700.mpg.64'
2010-03-05 20:14:20.470 ProgramInfo: Updated pathname '':'' -> '62992_20100304201100.mpg'
2010-03-05 20:14:20.514 Preview Error: Run() file not local: '/srv/myth/62992_20100304201100.mpg.64'
2010-03-05 20:14:20.453 ProgramInfo: Updated pathname '':'' -> '62992_20100304010700.mpg'
2010-03-05 20:14:20.506 ProgramInfo: Updated pathname '':'' -> '62992_20100303201100.mpg'
2010-03-05 20:14:20.554 Preview Error: Run() file not local: '/srv/myth/62992_20100303201100.mpg.64'
2010-03-05 20:14:20.470 ProgramInfo: Updated pathname '':'' -> '63010_20100302232200.mpg'
2010-03-05 20:14:20.570 Preview Error: Run() file not local: '/srv/myth/63010_20100302232200.mpg.64'
2010-03-05 20:14:20.544 Preview Error: Run() file not local: '/srv/myth/62992_20100304010700.mpg.64'
2010-03-05 20:14:20.512 ProgramInfo: Updated pathname '':'' -> '63010_20100305021200.mpg'
2010-03-05 20:14:20.622 Preview Error: Run() file not local: '/srv/myth/63010_20100305021200.mpg.64'
2010-03-05 20:14:20.640 ProgramInfo: Updated pathname '':'' -> '62977_20100301015900.mpg'
2010-03-05 20:14:20.539 ProgramInfo: Updated pathname '':'' -> '62977_20100302001500.mpg'
2010-03-05 20:14:20.627 ProgramInfo: Updated pathname '':'' -> '62992_20100301022000.mpg'
2010-03-05 20:14:20.688 Preview Error: Run() file not local: '/srv/myth/62992_20100301022000.mpg.64'
2010-03-05 20:14:20.657 ProgramInfo: Updated pathname '':'' -> '62975_20100227131200.mpg'
2010-03-05 20:14:20.661 Preview Error: Run() file not local: '/srv/myth/62977_20100301015900.mpg.64'
2010-03-05 20:14:20.675 Preview Error: Run() file not local: '/srv/myth/62977_20100302001500.mpg.64'
2010-03-05 20:14:20.572 ProgramInfo: Updated pathname '':'' -> '62977_20100301221200.mpg'
2010-03-05 20:14:20.799 Preview Error: Run() file not local: '/srv/myth/62977_20100301221200.mpg.64'
2010-03-05 20:14:20.739 Preview Error: Run() file not local: '/srv/myth/62975_20100227131200.mpg.64'
2010-03-05 20:14:20.759 ProgramInfo: Updated pathname '':'' -> '62984_20100225231200.mpg'
2010-03-05 20:14:20.843 Preview Error: Run() file not local: '/srv/myth/62984_20100225231200.mpg.64'
2010-03-05 20:14:20.696 ProgramInfo: Updated pathname '':'' -> '63010_20100226020700.mpg'
2010-03-05 20:14:20.874 Preview Error: Run() file not local: '/srv/myth/63010_20100226020700.mpg.64'
2010-03-05 20:14:20.812 ProgramInfo: Updated pathname '':'' -> '62971_20100304225700.mpg'
2010-03-05 20:14:20.895 Preview Error: Run() file not local: '/srv/myth/62971_20100304225700.mpg.64'
2010-03-05 20:14:20.844 ProgramInfo: Updated pathname '':'' -> '62992_20100304201100.mpg'
2010-03-05 20:14:20.859 ProgramInfo: Updated pathname '':'' -> '62992_20100304010700.mpg'
2010-03-05 20:14:20.901 ProgramInfo: Updated pathname '':'' -> '62992_20100303201100.mpg'
2010-03-05 20:14:20.940 Preview Error: Run() file not local: '/srv/myth/62992_20100303201100.mpg.64'
2010-03-05 20:14:20.912 Preview Error: Run() file not local: '/srv/myth/62992_20100304201100.mpg.64'
2010-03-05 20:14:20.932 Preview Error: Run() file not local: '/srv/myth/62992_20100304010700.mpg.64'
2010-03-05 20:14:20.910 ProgramInfo: Updated pathname '':'' -> '63010_20100302232200.mpg'
2010-03-05 20:14:21.008 Preview Error: Run() file not local: '/srv/myth/63010_20100302232200.mpg.64'
2010-03-05 20:14:30.229 DVBSM(/dev/dvb/adapter0/frontend0), Warning: Can not count Uncorrected Blocks
			eno: Function not implemented (38)

comment:4 Changed 8 years ago by kormoc

  • Milestone changed from unknown to 0.23
  • Owner changed from ijr to kormoc
  • Status changed from new to accepted
  • Version changed from unknown to head

Broke after [23566]

comment:5 Changed 8 years ago by mdean

perhaps related to [23599]

comment:6 Changed 8 years ago by mdean

ref #8172

comment:7 follow-up: Changed 8 years ago by russell5

I have this same issue.

If i rename 1004_20100301213000.mpg.png to 1004_20100301213000.mpg.64 the recordings work in mythweb.

comment:8 Changed 8 years ago by Sven Witterstein <sven@…>

Well - can somebody look with a debugger what happens to values such as

trunk/mythtv/programs/mythfrontend/playbackboxhelper.cpp   ¶
r23522 	r23599 	
345	 	    QString filename = pginfo.GetPlaybackURL() + ".png"; 
 	361	    QString filename = pginfo.pathname + ".png"; 

and

trunk/mythtv/programs/mythbackend/mythxml.cpp   ¶
r23113 	r23599 	 
1129	1129	        // Must generate Preview Image, Generate Image and save. 
1130	1130	        // ------------------------------------------------------------------ 
1131	 	 
1132	 	        PreviewGenerator *previewgen = new PreviewGenerator(pInfo, PreviewGenerator::kLocal); 
 	1131	        if (pInfo->pathname.left(1) != "/" && sFileName.left(1) == "/") 
 	1132	            pInfo->pathname = sFileName; 
 	1133	        if (pInfo->pathname.left(1) != "/") 
 	1134	        { 
 	1135	            delete pInfo; 
 	1136	            return; 
 	1137	        } 
 	1138	 
 	1139	        PreviewGenerator *previewgen = new PreviewGenerator( 
 	1140	            pInfo, PreviewGenerator::kLocal); 
1133	1141	        previewgen->SetPreviewTimeAsSeconds(nSecsIn); 
1134	1142	        previewgen->SetOutputFilename(sFileName + ".png"); 

I find it strange - but helpful in the context that .png is hardcoded here... Anyway, more into python these days, never got warm with cpp that much...

comment:9 in reply to: ↑ 7 Changed 8 years ago by andreaz@…

Replying to russell5:

I have this same issue.

If i rename 1004_20100301213000.mpg.png to 1004_20100301213000.mpg.64 the recordings work in mythweb.

Im in the very same boat. Its a lil more strange here. Its enough when i do a touch 1004_20100301213000.mpg.64(regarding to the example above). When a file with the .64 ending exists, i get a preview image in mythweb.

Just my 2 cents.. :) Andreas

comment:10 Changed 8 years ago by andreaz@…

Short add:

I can erase the file with the .64 ending after i watched the recording list in mythweb. The preview image is still present then.

Regards, Andreas

comment:11 Changed 8 years ago by mdean

  • Ticket locked set

Rob Smith knows what's causing the issue and plans to work on it as soon as he gets time. Please keep the discussion on the mailing lists. Thanks.

comment:12 Changed 8 years ago by kormoc

  • Resolution set to fixed
  • Status changed from accepted to closed

(In [23758]) After discussion in #mythtv, this should fix #8118.

comment:13 Changed 8 years ago by mdean

(In [23764]) Fix MythXML preview generation for non-default time offsets.

Fixes MythXML preview generation when a non-default time offset is specified, which resulted in filename-handling issues after the recent changes to ProgramInfo? path handling. Patch was inspired by a patch from ThisOtherGuy? in IRC, with modifications by me to handle additional (pre-existing) issues with the filename handling I noticed while reviewing his patch. Thanks to ThisOtherGuy? for identifying the bug and for providing the initial patch.

This is the MythXML bug that caused the issue reported by #8118. That issue has since been fixed by modifying MythWeb to use a more-appropriate approach to request previews. Refs #8118.

comment:14 Changed 8 years ago by mdean

(In [23930]) Don't calculate the default preview-pixmap offset in MythWeb. The preview generator will handle the default offset. This does to thumb_url() what [23758] did to get_preview_pixmap(). Refs #8118.

comment:15 Changed 8 years ago by mdean

(In [23931]) Don't calculate default preview-pixmap offset in MythWeb. Backports [23930] from trunk. Refs #8118.

Add Comment

Modify Ticket

Action
as closed The owner will remain kormoc.
The resolution will be deleted. Next status will be 'new'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.